"""more info to talents

Revision ID: d25bcb22e43c
Revises: 071a30f12135
Create Date: 2022-01-16 23:01:34.641965

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "d25bcb22e43c"
down_revision = "071a30f12135"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "education",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("name", sa.String(length=255), nullable=False),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "education_level",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("name", sa.String(length=255), nullable=False),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_table(
        "genre",
        sa.Column("id", sa.Integer(), autoincrement=True, nullable=False),
        sa.Column("name", sa.String(length=255), nullable=False),
        sa.PrimaryKeyConstraint("id"),
    )
    op.add_column("talent", sa.Column("address", sa.String(), nullable=False))
    op.add_column("talent", sa.Column("birthday", sa.Date(), nullable=False))
    op.add_column("talent", sa.Column("education_id", sa.Integer(), nullable=True))
    op.add_column(
        "talent", sa.Column("education_level_id", sa.Integer(), nullable=True)
    )
    op.add_column("talent", sa.Column("genre_id", sa.Integer(), nullable=True))
    op.create_foreign_key(
        None, "talent", "education_level", ["education_level_id"], ["id"]
    )
    op.create_foreign_key(None, "talent", "education", ["education_id"], ["id"])
    op.create_foreign_key(None, "talent", "genre", ["genre_id"], ["id"])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(None, "talent", type_="foreignkey")
    op.drop_constraint(None, "talent", type_="foreignkey")
    op.drop_constraint(None, "talent", type_="foreignkey")
    op.drop_column("talent", "genre_id")
    op.drop_column("talent", "education_level_id")
    op.drop_column("talent", "education_id")
    op.drop_column("talent", "birthday")
    op.drop_column("talent", "address")
    op.drop_table("genre")
    op.drop_table("education_level")
    op.drop_table("education")
    # ### end Alembic commands ###
